For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate an agent
      • PUTUpdate an agent
      • DELDelete an agent
      • GETList agents
      • GETGet an agent
      • PUTAttach phone numbers to an outbound agent
      • DELDetach phone number from an outbound agent
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIAgents

Attach phone numbers to an outbound agent

||View as Markdown|
PUT
/assistants/:model_id/phone_numbers
PUT
/v2/assistants/:model_id/phone_numbers
$curl -X PUT https://api.synthflow.ai/v2/assistants/model_id/phone_numbers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "phone_numbers": [
> "+16286666348",
> "+12131231214"
> ]
>}'
1{
2 "status": "ok"
3}
Attach multiple outbound phone numbers to an agent by phone numbers or by slugs.
Was this page helpful?
Previous

Detach phone number from an outbound agent

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

model_idstringRequired

Agent ID. You can find it on the agent’s page in your dashboard.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired

Response

200
statusstring

Errors

404
Not Found Error